MarketModelEvolver Class Referenceabstract

Market-model evolver. More...

`#include <ql/models/marketmodels/evolver.hpp>`

Inheritance diagram for MarketModelEvolver:
[legend]

## Public Member Functions

virtual const std::vector< Size > & | numeraires () const =0
virtual Real | startNewPath ()=0
virtual Real | advanceStep ()=0
virtual Size | currentStep () const =0
virtual const CurveState & | currentState () const =0
virtual void | setInitialState (const CurveState &)=0

## Detailed Description

Market-model evolver.

Abstract base class. The evolver does the actual gritty work of evolving the forward rates from one time to the next.

Examples
  MarketModels.cpp.